diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/general-template.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/general-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/general-template.php	2012-11-17 09:11:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/general-template.php	2013-07-09 15:48:02.000000000 -0500
***************
*** 25,31 ****
  	do_action( 'get_header', $name );
  
  	$templates = array();
! 	if ( isset($name) )
  		$templates[] = "header-{$name}.php";
  
  	$templates[] = 'header.php';
--- 25,32 ----
  	do_action( 'get_header', $name );
  
  	$templates = array();
! 	$name = (string) $name;
! 	if ( '' !== $name )
  		$templates[] = "header-{$name}.php";
  
  	$templates[] = 'header.php';
***************
*** 54,60 ****
  	do_action( 'get_footer', $name );
  
  	$templates = array();
! 	if ( isset($name) )
  		$templates[] = "footer-{$name}.php";
  
  	$templates[] = 'footer.php';
--- 55,62 ----
  	do_action( 'get_footer', $name );
  
  	$templates = array();
! 	$name = (string) $name;
! 	if ( '' !== $name )
  		$templates[] = "footer-{$name}.php";
  
  	$templates[] = 'footer.php';
***************
*** 83,89 ****
  	do_action( 'get_sidebar', $name );
  
  	$templates = array();
! 	if ( isset($name) )
  		$templates[] = "sidebar-{$name}.php";
  
  	$templates[] = 'sidebar.php';
--- 85,92 ----
  	do_action( 'get_sidebar', $name );
  
  	$templates = array();
! 	$name = (string) $name;
! 	if ( '' !== $name )
  		$templates[] = "sidebar-{$name}.php";
  
  	$templates[] = 'sidebar.php';
***************
*** 120,126 ****
  	do_action( "get_template_part_{$slug}", $slug, $name );
  
  	$templates = array();
! 	if ( isset($name) )
  		$templates[] = "{$slug}-{$name}.php";
  
  	$templates[] = "{$slug}.php";
--- 123,130 ----
  	do_action( "get_template_part_{$slug}", $slug, $name );
  
  	$templates = array();
! 	$name = (string) $name;
! 	if ( '' !== $name )
  		$templates[] = "{$slug}-{$name}.php";
  
  	$templates[] = "{$slug}.php";
***************
*** 141,174 ****
   * form into the sidebar and also by the search widget in WordPress.
   *
   * There is also an action that is called whenever the function is run called,
!  * 'get_search_form'. This can be useful for outputting JavaScript that the
   * search relies on or various formatting that applies to the beginning of the
   * search. To give a few examples of what it can be used for.
   *
   * @since 2.7.0
   * @param boolean $echo Default to echo and not return the form.
   * @return string|null String when retrieving, null when displaying or if searchform.php exists.
   */
! function get_search_form($echo = true) {
! 	do_action( 'get_search_form' );
  
! 	$search_form_template = locate_template('searchform.php');
  	if ( '' != $search_form_template ) {
! 		require($search_form_template);
! 		return;
  	}
  
! 	$form = '<form role="search" method="get" id="searchform" action="' . esc_url( home_url( '/' ) ) . '" >
! 	<div><label class="screen-reader-text" for="s">' . __('Search for:') . '</label>
! 	<input type="text" value="' . get_search_query() . '" name="s" id="s" />
! 	<input type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'" />
! 	</div>
! 	</form>';
  
  	if ( $echo )
! 		echo apply_filters('get_search_form', $form);
  	else
! 		return apply_filters('get_search_form', $form);
  }
  
  /**
--- 145,200 ----
   * form into the sidebar and also by the search widget in WordPress.
   *
   * There is also an action that is called whenever the function is run called,
!  * 'pre_get_search_form'. This can be useful for outputting JavaScript that the
   * search relies on or various formatting that applies to the beginning of the
   * search. To give a few examples of what it can be used for.
   *
   * @since 2.7.0
+  * @uses apply_filters() Calls 'search_form_format' filter to determine which type to use for the search field.
+  *  If set to 'html5', it changes to search input type and adds placeholder text.
+  *
   * @param boolean $echo Default to echo and not return the form.
   * @return string|null String when retrieving, null when displaying or if searchform.php exists.
   */
! function get_search_form( $echo = true ) {
! 	do_action( 'pre_get_search_form' );
! 
! 	$format = current_theme_supports( 'html5', 'search-form' ) ? 'html5' : 'xhtml';
! 	$format = apply_filters( 'search_form_format', $format );
  
! 	$search_form_template = locate_template( 'searchform.php' );
  	if ( '' != $search_form_template ) {
! 		ob_start();
! 		require( $search_form_template );
! 		$form = ob_get_clean();
! 	} else {
! 		if ( 'html5' == $format ) {
! 			$form = '<form role="search" method="get" class="search-form" action="' . esc_url( home_url( '/' ) ) . '">
! 				<label>
! 					<span class="screen-reader-text">' . _x( 'Search for:', 'label' ) . '</span>
! 					<input type="search" class="search-field" placeholder="' . esc_attr_x( 'Search &hellip;', 'placeholder' ) . '" value="' . get_search_query() . '" name="s" title="' . _x( 'Search for:', 'label' ) . '" />
! 				</label>
! 				<input type="submit" class="search-submit" value="'. esc_attr_x( 'Search', 'submit button' ) .'" />
! 			</form>';
! 		} else {
! 			$form = '<form role="search" method="get" id="searchform" class="searchform" action="' . esc_url( home_url( '/' ) ) . '">
! 				<div>
! 					<label class="screen-reader-text" for="s">' . _x( 'Search for:', 'label' ) . '</label>
! 					<input type="text" value="' . get_search_query() . '" name="s" id="s" />
! 					<input type="submit" id="searchsubmit" value="'. esc_attr_x( 'Search', 'submit button' ) .'" />
! 				</div>
! 			</form>';
! 		}
  	}
  
! 	$result = apply_filters( 'get_search_form', $form );
! 	if ( null === $result )
! 		$result = $form;
  
  	if ( $echo )
! 		echo $result;
  	else
! 		return $result;
  }
  
  /**
***************
*** 199,210 ****
  /**
   * Returns the Log Out URL.
   *
!  * Returns the URL that allows the user to log out of the site
   *
   * @since 2.7.0
!  * @uses wp_nonce_url() To protect against CSRF
!  * @uses site_url() To generate the log in URL
!  * @uses apply_filters() calls 'logout_url' hook on final logout url
   *
   * @param string $redirect Path to redirect to on logout.
   * @return string A log out URL.
--- 225,236 ----
  /**
   * Returns the Log Out URL.
   *
!  * Returns the URL that allows the user to log out of the site.
   *
   * @since 2.7.0
!  * @uses wp_nonce_url() To protect against CSRF.
!  * @uses site_url() To generate the log out URL.
!  * @uses apply_filters() calls 'logout_url' hook on final logout URL.
   *
   * @param string $redirect Path to redirect to on logout.
   * @return string A log out URL.
***************
*** 224,234 ****
  /**
   * Returns the Log In URL.
   *
!  * Returns the URL that allows the user to log in to the site
   *
   * @since 2.7.0
!  * @uses site_url() To generate the log in URL
!  * @uses apply_filters() calls 'login_url' hook on final login url
   *
   * @param string $redirect Path to redirect to on login.
   * @param bool $force_reauth Whether to force reauthorization, even if a cookie is present. Default is false.
--- 250,260 ----
  /**
   * Returns the Log In URL.
   *
!  * Returns the URL that allows the user to log in to the site.
   *
   * @since 2.7.0
!  * @uses site_url() To generate the log in URL.
!  * @uses apply_filters() calls 'login_url' hook on final login URL.
   *
   * @param string $redirect Path to redirect to on login.
   * @param bool $force_reauth Whether to force reauthorization, even if a cookie is present. Default is false.
***************
*** 247,252 ****
--- 273,293 ----
  }
  
  /**
+  * Returns the user registration URL.
+  *
+  * Returns the URL that allows the user to register on the site.
+  *
+  * @since 3.6.0
+  * @uses site_url() To generate the registration URL.
+  * @uses apply_filters() calls 'register_url' hook on final URL.
+  *
+  * @return string
+  */
+ function wp_registration_url() {
+ 	return apply_filters( 'register_url', site_url( 'wp-login.php?action=register', 'login' ) );
+ }
+ 
+ /**
   * Provides a simple login form for use anywhere within WordPress. By default, it echoes
   * the HTML immediately. Pass array('echo'=>false) to return the string instead.
   *
***************
*** 255,275 ****
   * @return string|null String when retrieving, null when displaying.
   */
  function wp_login_form( $args = array() ) {
! 	$defaults = array( 'echo' => true,
! 						'redirect' => ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'], // Default redirect is back to the current page
! 	 					'form_id' => 'loginform',
! 						'label_username' => __( 'Username' ),
! 						'label_password' => __( 'Password' ),
! 						'label_remember' => __( 'Remember Me' ),
! 						'label_log_in' => __( 'Log In' ),
! 						'id_username' => 'user_login',
! 						'id_password' => 'user_pass',
! 						'id_remember' => 'rememberme',
! 						'id_submit' => 'wp-submit',
! 						'remember' => true,
! 						'value_username' => '',
! 						'value_remember' => false, // Set this to true to default the "Remember me" checkbox to checked
! 					);
  	$args = wp_parse_args( $args, apply_filters( 'login_form_defaults', $defaults ) );
  
  	$form = '
--- 296,317 ----
   * @return string|null String when retrieving, null when displaying.
   */
  function wp_login_form( $args = array() ) {
! 	$defaults = array(
! 		'echo' => true,
! 		'redirect' => ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'], // Default redirect is back to the current page
! 		'form_id' => 'loginform',
! 		'label_username' => __( 'Username' ),
! 		'label_password' => __( 'Password' ),
! 		'label_remember' => __( 'Remember Me' ),
! 		'label_log_in' => __( 'Log In' ),
! 		'id_username' => 'user_login',
! 		'id_password' => 'user_pass',
! 		'id_remember' => 'rememberme',
! 		'id_submit' => 'wp-submit',
! 		'remember' => true,
! 		'value_username' => '',
! 		'value_remember' => false, // Set this to true to default the "Remember me" checkbox to checked
! 	);
  	$args = wp_parse_args( $args, apply_filters( 'login_form_defaults', $defaults ) );
  
  	$form = '
***************
*** 338,344 ****
  
  	if ( ! is_user_logged_in() ) {
  		if ( get_option('users_can_register') )
! 			$link = $before . '<a href="' . site_url('wp-login.php?action=register', 'login') . '">' . __('Register') . '</a>' . $after;
  		else
  			$link = '';
  	} else {
--- 380,386 ----
  
  	if ( ! is_user_logged_in() ) {
  		if ( get_option('users_can_register') )
! 			$link = $before . '<a href="' . esc_url( wp_registration_url() ) . '">' . __('Register') . '</a>' . $after;
  		else
  			$link = '';
  	} else {
***************
*** 912,1014 ****
  		$archive_week_end_date_format = get_option('date_format');
  	}
  
- 	//filters
  	$where = apply_filters( 'getarchives_where', "WHERE post_type = 'post' AND post_status = 'publish'", $r );
  	$join = apply_filters( 'getarchives_join', '', $r );
  
  	$output = '';
  
  	if ( 'monthly' == $type ) {
  		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date $order $limit";
! 		$key = md5($query);
! 		$cache = wp_cache_get( 'wp_get_archives' , 'general');
! 		if ( !isset( $cache[ $key ] ) ) {
! 			$arcresults = $wpdb->get_results($query);
! 			$cache[ $key ] = $arcresults;
! 			wp_cache_set( 'wp_get_archives', $cache, 'general' );
! 		} else {
! 			$arcresults = $cache[ $key ];
  		}
! 		if ( $arcresults ) {
  			$afterafter = $after;
! 			foreach ( (array) $arcresults as $arcresult ) {
! 				$url = get_month_link( $arcresult->year, $arcresult->month );
  				/* translators: 1: month name, 2: 4-digit year */
! 				$text = sprintf(__('%1$s %2$d'), $wp_locale->get_month($arcresult->month), $arcresult->year);
  				if ( $show_post_count )
! 					$after = '&nbsp;('.$arcresult->posts.')' . $afterafter;
  				$output .= get_archives_link($url, $text, $format, $before, $after);
  			}
  		}
  	} elseif ('yearly' == $type) {
  		$query = "SELECT YEAR(post_date) AS `year`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date) ORDER BY post_date $order $limit";
! 		$key = md5($query);
! 		$cache = wp_cache_get( 'wp_get_archives' , 'general');
! 		if ( !isset( $cache[ $key ] ) ) {
! 			$arcresults = $wpdb->get_results($query);
! 			$cache[ $key ] = $arcresults;
! 			wp_cache_set( 'wp_get_archives', $cache, 'general' );
! 		} else {
! 			$arcresults = $cache[ $key ];
  		}
! 		if ($arcresults) {
  			$afterafter = $after;
! 			foreach ( (array) $arcresults as $arcresult) {
! 				$url = get_year_link($arcresult->year);
! 				$text = sprintf('%d', $arcresult->year);
  				if ($show_post_count)
! 					$after = '&nbsp;('.$arcresult->posts.')' . $afterafter;
  				$output .= get_archives_link($url, $text, $format, $before, $after);
  			}
  		}
  	} elseif ( 'daily' == $type ) {
  		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, DAYOFMONTH(post_date) AS `dayofmonth`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date), DAYOFMONTH(post_date) ORDER BY post_date $order $limit";
! 		$key = md5($query);
! 		$cache = wp_cache_get( 'wp_get_archives' , 'general');
! 		if ( !isset( $cache[ $key ] ) ) {
! 			$arcresults = $wpdb->get_results($query);
! 			$cache[ $key ] = $arcresults;
! 			wp_cache_set( 'wp_get_archives', $cache, 'general' );
! 		} else {
! 			$arcresults = $cache[ $key ];
  		}
! 		if ( $arcresults ) {
  			$afterafter = $after;
! 			foreach ( (array) $arcresults as $arcresult ) {
! 				$url	= get_day_link($arcresult->year, $arcresult->month, $arcresult->dayofmonth);
! 				$date = sprintf('%1$d-%2$02d-%3$02d 00:00:00', $arcresult->year, $arcresult->month, $arcresult->dayofmonth);
  				$text = mysql2date($archive_day_date_format, $date);
  				if ($show_post_count)
! 					$after = '&nbsp;('.$arcresult->posts.')'.$afterafter;
  				$output .= get_archives_link($url, $text, $format, $before, $after);
  			}
  		}
  	} elseif ( 'weekly' == $type ) {
  		$week = _wp_mysql_week( '`post_date`' );
  		$query = "SELECT DISTINCT $week AS `week`, YEAR( `post_date` ) AS `yr`, DATE_FORMAT( `post_date`, '%Y-%m-%d' ) AS `yyyymmdd`, count( `ID` ) AS `posts` FROM `$wpdb->posts` $join $where GROUP BY $week, YEAR( `post_date` ) ORDER BY `post_date` $order $limit";
! 		$key = md5($query);
! 		$cache = wp_cache_get( 'wp_get_archives' , 'general');
! 		if ( !isset( $cache[ $key ] ) ) {
! 			$arcresults = $wpdb->get_results($query);
! 			$cache[ $key ] = $arcresults;
! 			wp_cache_set( 'wp_get_archives', $cache, 'general' );
! 		} else {
! 			$arcresults = $cache[ $key ];
  		}
  		$arc_w_last = '';
  		$afterafter = $after;
! 		if ( $arcresults ) {
! 				foreach ( (array) $arcresults as $arcresult ) {
! 					if ( $arcresult->week != $arc_w_last ) {
! 						$arc_year = $arcresult->yr;
! 						$arc_w_last = $arcresult->week;
! 						$arc_week = get_weekstartend($arcresult->yyyymmdd, get_option('start_of_week'));
  						$arc_week_start = date_i18n($archive_week_start_date_format, $arc_week['start']);
  						$arc_week_end = date_i18n($archive_week_end_date_format, $arc_week['end']);
! 						$url  = sprintf('%1$s/%2$s%3$sm%4$s%5$s%6$sw%7$s%8$d', home_url(), '', '?', '=', $arc_year, '&amp;', '=', $arcresult->week);
  						$text = $arc_week_start . $archive_week_separator . $arc_week_end;
  						if ($show_post_count)
! 							$after = '&nbsp;('.$arcresult->posts.')'.$afterafter;
  						$output .= get_archives_link($url, $text, $format, $before, $after);
  					}
  				}
--- 954,1050 ----
  		$archive_week_end_date_format = get_option('date_format');
  	}
  
  	$where = apply_filters( 'getarchives_where', "WHERE post_type = 'post' AND post_status = 'publish'", $r );
  	$join = apply_filters( 'getarchives_join', '', $r );
  
  	$output = '';
  
+ 	$last_changed = wp_cache_get( 'last_changed', 'posts' );
+ 	if ( ! $last_changed ) {
+ 		$last_changed = microtime();
+ 		wp_cache_set( 'last_changed', $last_changed, 'posts' );
+ 	}
+ 
  	if ( 'monthly' == $type ) {
  		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date $order $limit";
! 		$key = md5( $query );
! 		$key = "wp_get_archives:$key:$last_changed";
! 		if ( ! $results = wp_cache_get( $key, 'posts' ) ) {
! 			$results = $wpdb->get_results( $query );
! 			wp_cache_set( $key, $results, 'posts' );
  		}
! 		if ( $results ) {
  			$afterafter = $after;
! 			foreach ( (array) $results as $result ) {
! 				$url = get_month_link( $result->year, $result->month );
  				/* translators: 1: month name, 2: 4-digit year */
! 				$text = sprintf(__('%1$s %2$d'), $wp_locale->get_month($result->month), $result->year);
  				if ( $show_post_count )
! 					$after = '&nbsp;('.$result->posts.')' . $afterafter;
  				$output .= get_archives_link($url, $text, $format, $before, $after);
  			}
  		}
  	} elseif ('yearly' == $type) {
  		$query = "SELECT YEAR(post_date) AS `year`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date) ORDER BY post_date $order $limit";
! 		$key = md5( $query );
! 		$key = "wp_get_archives:$key:$last_changed";
! 		if ( ! $results = wp_cache_get( $key, 'posts' ) ) {
! 			$results = $wpdb->get_results( $query );
! 			wp_cache_set( $key, $results, 'posts' );
  		}
! 		if ( $results ) {
  			$afterafter = $after;
! 			foreach ( (array) $results as $result) {
! 				$url = get_year_link($result->year);
! 				$text = sprintf('%d', $result->year);
  				if ($show_post_count)
! 					$after = '&nbsp;('.$result->posts.')' . $afterafter;
  				$output .= get_archives_link($url, $text, $format, $before, $after);
  			}
  		}
  	} elseif ( 'daily' == $type ) {
  		$query = "SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, DAYOFMONTH(post_date) AS `dayofmonth`, count(ID) as posts FROM $wpdb->posts $join $where GROUP BY YEAR(post_date), MONTH(post_date), DAYOFMONTH(post_date) ORDER BY post_date $order $limit";
! 		$key = md5( $query );
! 		$key = "wp_get_archives:$key:$last_changed";
! 		if ( ! $results = wp_cache_get( $key, 'posts' ) ) {
! 			$results = $wpdb->get_results( $query );
! 			$cache[ $key ] = $results;
! 			wp_cache_set( $key, $results, 'posts' );
  		}
! 		if ( $results ) {
  			$afterafter = $after;
! 			foreach ( (array) $results as $result ) {
! 				$url	= get_day_link($result->year, $result->month, $result->dayofmonth);
! 				$date = sprintf('%1$d-%2$02d-%3$02d 00:00:00', $result->year, $result->month, $result->dayofmonth);
  				$text = mysql2date($archive_day_date_format, $date);
  				if ($show_post_count)
! 					$after = '&nbsp;('.$result->posts.')'.$afterafter;
  				$output .= get_archives_link($url, $text, $format, $before, $after);
  			}
  		}
  	} elseif ( 'weekly' == $type ) {
  		$week = _wp_mysql_week( '`post_date`' );
  		$query = "SELECT DISTINCT $week AS `week`, YEAR( `post_date` ) AS `yr`, DATE_FORMAT( `post_date`, '%Y-%m-%d' ) AS `yyyymmdd`, count( `ID` ) AS `posts` FROM `$wpdb->posts` $join $where GROUP BY $week, YEAR( `post_date` ) ORDER BY `post_date` $order $limit";
! 		$key = md5( $query );
! 		$key = "wp_get_archives:$key:$last_changed";
! 		if ( ! $results = wp_cache_get( $key, 'posts' ) ) {
! 			$results = $wpdb->get_results( $query );
! 			wp_cache_set( $key, $results, 'posts' );
  		}
  		$arc_w_last = '';
  		$afterafter = $after;
! 		if ( $results ) {
! 				foreach ( (array) $results as $result ) {
! 					if ( $result->week != $arc_w_last ) {
! 						$arc_year = $result->yr;
! 						$arc_w_last = $result->week;
! 						$arc_week = get_weekstartend($result->yyyymmdd, get_option('start_of_week'));
  						$arc_week_start = date_i18n($archive_week_start_date_format, $arc_week['start']);
  						$arc_week_end = date_i18n($archive_week_end_date_format, $arc_week['end']);
! 						$url  = sprintf('%1$s/%2$s%3$sm%4$s%5$s%6$sw%7$s%8$d', home_url(), '', '?', '=', $arc_year, '&amp;', '=', $result->week);
  						$text = $arc_week_start . $archive_week_separator . $arc_week_end;
  						if ($show_post_count)
! 							$after = '&nbsp;('.$result->posts.')'.$afterafter;
  						$output .= get_archives_link($url, $text, $format, $before, $after);
  					}
  				}
***************
*** 1016,1038 ****
  	} elseif ( ( 'postbypost' == $type ) || ('alpha' == $type) ) {
  		$orderby = ('alpha' == $type) ? 'post_title ASC ' : 'post_date DESC ';
  		$query = "SELECT * FROM $wpdb->posts $join $where ORDER BY $orderby $limit";
! 		$key = md5($query);
! 		$cache = wp_cache_get( 'wp_get_archives' , 'general');
! 		if ( !isset( $cache[ $key ] ) ) {
! 			$arcresults = $wpdb->get_results($query);
! 			$cache[ $key ] = $arcresults;
! 			wp_cache_set( 'wp_get_archives', $cache, 'general' );
! 		} else {
! 			$arcresults = $cache[ $key ];
  		}
! 		if ( $arcresults ) {
! 			foreach ( (array) $arcresults as $arcresult ) {
! 				if ( $arcresult->post_date != '0000-00-00 00:00:00' ) {
! 					$url  = get_permalink( $arcresult );
! 					if ( $arcresult->post_title )
! 						$text = strip_tags( apply_filters( 'the_title', $arcresult->post_title, $arcresult->ID ) );
  					else
! 						$text = $arcresult->ID;
  					$output .= get_archives_link($url, $text, $format, $before, $after);
  				}
  			}
--- 1052,1071 ----
  	} elseif ( ( 'postbypost' == $type ) || ('alpha' == $type) ) {
  		$orderby = ('alpha' == $type) ? 'post_title ASC ' : 'post_date DESC ';
  		$query = "SELECT * FROM $wpdb->posts $join $where ORDER BY $orderby $limit";
! 		$key = md5( $query );
! 		$key = "wp_get_archives:$key:$last_changed";
! 		if ( ! $results = wp_cache_get( $key, 'posts' ) ) {
! 			$results = $wpdb->get_results( $query );
! 			wp_cache_set( $key, $results, 'posts' );
  		}
! 		if ( $results ) {
! 			foreach ( (array) $results as $result ) {
! 				if ( $result->post_date != '0000-00-00 00:00:00' ) {
! 					$url  = get_permalink( $result );
! 					if ( $result->post_title )
! 						$text = strip_tags( apply_filters( 'the_title', $result->post_title, $result->ID ) );
  					else
! 						$text = $result->ID;
  					$output .= get_archives_link($url, $text, $format, $before, $after);
  				}
  			}
***************
*** 1552,1558 ****
   * @param string $after Optional Output after the date.
   */
  function the_weekday_date($before='',$after='') {
! 	global $wp_locale, $day, $previousweekday;
  	$the_weekday_date = '';
  	if ( $currentday != $previousweekday ) {
  		$the_weekday_date .= $before;
--- 1585,1591 ----
   * @param string $after Optional Output after the date.
   */
  function the_weekday_date($before='',$after='') {
! 	global $wp_locale, $currentday, $previousweekday;
  	$the_weekday_date = '';
  	if ( $currentday != $previousweekday ) {
  		$the_weekday_date .= $before;
***************
*** 1600,1606 ****
  		'separator'	=> _x('&raquo;', 'feed link'),
  		/* translators: 1: blog title, 2: separator (raquo) */
  		'feedtitle'	=> __('%1$s %2$s Feed'),
! 		/* translators: %s: blog title, 2: separator (raquo) */
  		'comstitle'	=> __('%1$s %2$s Comments Feed'),
  	);
  
--- 1633,1639 ----
  		'separator'	=> _x('&raquo;', 'feed link'),
  		/* translators: 1: blog title, 2: separator (raquo) */
  		'feedtitle'	=> __('%1$s %2$s Feed'),
! 		/* translators: 1: blog title, 2: separator (raquo) */
  		'comstitle'	=> __('%1$s %2$s Comments Feed'),
  	);
  
***************
*** 2284,2286 ****
--- 2317,2339 ----
  
  	return $result;
  }
+ 
+ /**
+  * Default settings for heartbeat
+  *
+  * Outputs the nonce used in the heartbeat XHR
+  *
+  * @since 3.6.0
+  *
+  * @param array $settings
+  * @return array $settings
+  */
+ function wp_heartbeat_settings( $settings ) {
+ 	if ( ! is_admin() )
+ 		$settings['ajaxurl'] = admin_url( 'admin-ajax.php', 'relative' );
+ 
+ 	if ( is_user_logged_in() )
+ 		$settings['nonce'] = wp_create_nonce( 'heartbeat-nonce' );
+ 
+ 	return $settings;
+ }
